<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('slides', function (Blueprint $table) {
            $table->id();
            $table->string('type')->default('original');
            $table->text('tech_text')->nullable();
            $table->text('title')->nullable();
            $table->text('subtitle')->nullable();
            $table->text('tagline')->nullable();
            $table->text('outcomes')->nullable();
            $table->string('event_date')->nullable();
            $table->string('old_price')->nullable();
            $table->string('new_price')->nullable();
            $table->string('bonus')->nullable();
            $table->string('btn_text')->default('DAFTAR SEKARANG');
            $table->string('image')->nullable();
            $table->string('speaker_name')->nullable();
            $table->string('speaker_title1')->nullable();
            $table->string('speaker_title2')->nullable();
            $table->string('speaker_image')->nullable();
            $table->integer('is_active')->default(1);
            $table->integer('sort_order')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('slides');
    }
};
